GET
category?stringCategory filter.
Default
"OVERALL"Value in
"OVERALL""POLITICS""SPORTS""CRYPTO""FINANCE""CULTURE""MENTIONS""WEATHER""ECONOMICS""TECH"timePeriod?stringTime window for aggregation.
Default
"DAY"Value in
"DAY""WEEK""MONTH""ALL"orderBy?stringOrdering criteria.
Default
"PNL"Value in
"PNL""VOL"limit?integerMaximum number of traders to return.
Range
1 <= value <= 50Default
25offset?integerStarting index for pagination.
Range
0 <= value <= 1000Default
0user?stringFilter to a single wallet address.
userName?stringFilter to a single username.
Leaderboard returned.
application/json- response
[index: integer]?curl -X GET 'https://data-api.kuest.com/v1/leaderboard'[ { "rank": "1", "proxyWallet": "0x1234567890abcdef1234567890abcdef12345678", "userName": "Theo4", "vol": 22862194, "pnl": 8499002, "profileImage": "https://cdn.domain.com/users/top-trader.png", "xUsername": null, "verifiedBadge": null }]